Package Gnumed :: Package wxpython :: Module gmDateTimeInput |
[frames] | no frames]

# Module gmDateTimeInput

source code

GNUmed date input widget

All GNUmed date input should happen via classes in this module.

Copyright: author(s)

Version: $Revision: 1.66 $

Author: K. Hilbert <Karsten.Hilbert@gmx.net>

Classes
| cIntervalPhraseWheel
| cCalendarDatePickerDlg Shows a calendar control from which the user can pick a date.
| cDateMatchProvider Turns strings into candidate dates.
| cDateInputPhraseWheel
| cMatchProvider_FuzzyTimestamp
| cFuzzyTimestampInput

Variables
| __licence__ = ``'``GPL v2 or later (details at http://www.gnu.org)``'``
| __package__ = ``'``Gnumed.wxpython``'``

Imports: re, string, sys, time, pyDT, logging, mxDT, wx, gmMatchProvider, gmDateTime, gmI18N, gmPhraseWheel, gmGuiHelpers